﻿@model Xtoman.Domain.WebServices.Payment.Vandar.VandarBusinessIPGData
@{
    ViewBag.Title = "اطلاعات درگاه بانکی";
}

<div class="row">
    <div class="col-lg-12">
        <div class="card card-box">
            <div class="card-body">
                <div class="table">
                    <table class="table-responsive table-striped table-bordered">
                        <tr>
                            <th>وضعیت</th>
                            <td>
                                @if (Model.IPG.Status == 1)
                                {
                                    <span class="text-success">فعال</span>
                                }
                                else
                                {
                                    <span class="text-danger">غیر فعال</span>
                                }
                            </td>
                        </tr>
                        <tr>
                            <th>آدرس ها</th>
                            <td>
                                @foreach (var item in Model.IPG.Urls)
                                {
                                    <p>@item.ToString()</p>
                                }
                            </td>
                        </tr>
                        <tr>
                            <th>IP ها</th>
                            <td>
                                @foreach (var item in Model.IPG.Ips)
                                {
                                    <p>@item</p>
                                }
                            </td>
                        </tr>
                        <tr>
                            <th>تعداد تراکنش های موفق</th>
                            <td>@Model.IPG.TransactionsCount</td>
                        </tr>
                        <tr>
                            <th>جمع تراکنش ها</th>
                            <td>@Model.IPG.TransactionsSum.ToPriceWithoutFloat() تومان</td>
                        </tr>
                        <tr>
                            <th>کلید API</th>
                            <td>@Model.IPG.ApiKey</td>
                        </tr>
                        <tr>
                            <th>VIP?</th>
                            <td>
                                @if (Model.IPG.Vip)
                                {
                                    <span>بله</span>
                                }
                                else
                                {
                                    <span>خیر</span>
                                }
                            </td>
                        </tr>
                        <tr>
                            <th>کارمزد؟</th>
                            <td>
                                @if (Model.IPG.Wage)
                                {
                                    <span>بله</span>
                                }
                                else
                                {
                                    <span>خیر</span>
                                }
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>